Bug Hunting Session
Bug 72999 - EDITING: COUNT function ignores second and next arguments if 1st is a range
Summary: EDITING: COUNT function ignores second and next arguments if 1st is a range
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.0.0.beta1
Hardware: Other Windows (All)
: high critical
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.3.0 target:4.2.0.2
Keywords: possibleRegression, regression
Depends on:
Blocks: mab4.2
  Show dependency treegraph
 
Reported: 2013-12-23 22:01 UTC by Laurent BP
Modified: 2015-12-15 22:10 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent BP 2013-12-23 22:01:50 UTC
Problem description: 
If COUNT function has several arguments, and if 1st one is a range (A1:A2), then next arguments are ignored

Steps to reproduce:
1. New spreadsheet (same with previous spreadsheet)
2. Insert values in A1, A2 and A3 for instance
3. Type in A4: =COUNT(A1:A2;A3)


Current behavior:
Result is 2 whatever the content of A3 is.

Expected behavior:
Result should be 3 if A3 content is a value.

The result is correct if formula is =COUNT(A1;A2;A3)
NO problem with COUNTA, SUM, MEAN functions

              
Operating System: Windows 7
Version: 4.2.0.1 rc
Last worked in: 4.1.4.2 release
Comment 1 Laurent BP 2013-12-23 22:29:51 UTC
Bug already present with LibO 4.2.0.0.beta1
Comment 2 Laurent BP 2013-12-23 22:46:50 UTC
Confirmed with master Version: 4.3.0.0.alpha0+
Build ID: 65e6d651ceef55f569521a4f4e609f7e5e88847b
TinderBox: Win-x86@47-TDF, Branch:master, Time: 2013-12-18_23:26:17
Comment 3 m.a.riosv 2013-12-23 22:57:06 UTC
Confirmed.
Win7x64Ultimate
Version: 4.2.0.1 Build ID: 7bf567613a536ded11709b952950c9e8f7181a4a
Version: 4.3.0.0.alpha0+ Build ID: 22355042a6fc7aecf3caab69b3fa3be1430b697f
         TinderBox: Win-x86@39, Branch:master, Time: 2013-12-17_23:17:35

Works fine in
Version: 4.1.5.0.0+ Build ID: d1bb23e95e3c4ffd325d739b52bfe2910368a03

Regression and a blocker for 4.2, broke the calculations without any notice.
Comment 4 Laurent BP 2013-12-24 09:09:48 UTC
May be linked to bug 73001
UI: Statusbar quick functions broken if several ranges selected
but different
Comment 5 Laurent BP 2013-12-24 23:09:18 UTC
Confirmed with Version: 4.2.0.0.alpha1+
Build ID: d366c9b20ec86f3fe521812a0c22def3bfd1f05e
TinderBox: Win-x86@47-TDF, Branch:master, Time: 2013-11-14_07:51:04
Comment 6 Commit Notification 2013-12-25 23:13:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5bb8a2868316a644646857047be032c17787cac5

fix handling of range parameters in COUNT, fdo#72999



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-12-25 23:13:32 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68cd5c4fa1b6190907ef4a121bac5d5eff0c13ec

add test case for fdo#72999



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2013-12-25 23:15:01 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d7238d87811d99f5b412457a1d3589b30819887d&h=libreoffice-4-2

fix handling of range parameters in COUNT, fdo#72999


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Robinson Tryon (qubit) 2015-12-15 22:10:02 UTC
Migrating Whiteboard tags to Keywords: (PossibleRegression)
[NinjaEdit]